package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.Get(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ssfReceiverStream": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"eventTypesEnabled": [
"<string>"
],
"expectedAudience": "<string>",
"id": "<string>",
"issuerUrl": "<string>",
"jwksUrl": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorMessage": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"outboundAuthBearer": {
"token": "<string>"
},
"outboundAuthOauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"tokenUrl": "<string>"
},
"pollEndpointUrl": "<string>",
"pollInterval": "<string>",
"pushAuthToken": "<string>",
"pushEndpointUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Get
Get retrieves a single SSF receiver stream by its ID.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.Get(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the SSF receiver stream to retrieve.
Response
SSFReceiverStreamServiceGetResponse contains the requested SSF receiver stream.
SSFReceiverStreamServiceGetResponse contains the requested SSF receiver stream.
SSFReceiverStream is the public API representation. Secrets (push_auth_token, outbound credentials) are write-only.
This message contains a oneof named outbound_auth. Only a single field of the following list may be set at a time:
- outboundAuthBearer
- outboundAuthOauth2
Show child attributes
Show child attributes
Was this page helpful?